﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;
using System.Diagnostics;
using System.Threading;

namespace UltraToolbarManagerMDIActivateForm
{
    public partial class Form1 : Form
    {

        private ChForm1 currentMDiChildForm;
        public Form1()
        {
            InitializeComponent();
        }


        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            switch (e.Tool.Key)
            {
                case "MoreToolsButton":
                    ChForm1 f = new ChForm1(e.ListToolItem.Key);
                    if (!f.IsDisposed)
                    {
                        f.MdiParent = this;
                        currentMDiChildForm = f;
                        f.Shown += new EventHandler(f_Shown);
                        f.Show();

                    }
                    break;
            }
        }

        void f_Shown(object sender, EventArgs e)
        {
            if (currentMDiChildForm != null)
            {
                ultraTabbedMdiManager1.TabFromForm(currentMDiChildForm).Activate();
            }
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            PopupMenuTool _reportPopupMenuTool = new PopupMenuTool("PopupMenuTool");
            _reportPopupMenuTool.SharedProps.Caption = "PopupMenuTool";
            this.ultraToolbarsManager1.Tools.Add(_reportPopupMenuTool);
            this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools.AddTool(_reportPopupMenuTool.Key);

            ListTool _listTool = new ListTool("MoreToolsButton");
            _listTool.SharedProps.Caption = "MoreToolsButton";
            _listTool.MaxItemsToDisplay = 1;
            _listTool.MoreItemsText = "More Tools...";
            _listTool.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
            _listTool.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Normal;

            ButtonTool _buttonTool1 = new ButtonTool("ButtonTool1");
            _buttonTool1.SharedProps.Caption = "ButtonTool1";
            ButtonTool _buttonTool2 = new ButtonTool("ButtonTool2");
            _buttonTool2.SharedProps.Caption = "ButtonTool2";
            ButtonTool _buttonTool3 = new ButtonTool("ButtonTool3");
            _buttonTool3.SharedProps.Caption = "ButtonTool3";

            this.ultraToolbarsManager1.Tools.Add(_listTool);
            _reportPopupMenuTool.Tools.AddTool(_listTool.Key);
            _reportPopupMenuTool.Tools[_listTool.Key].InstanceProps.IsFirstInGroup = true;
            ((ListTool)((PopupMenuTool)this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools[_reportPopupMenuTool.Key]).Tools[_listTool.Key]).ListToolItems.Add(_buttonTool1.Key, _buttonTool1.Key);
            ((ListTool)((PopupMenuTool)this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools[_reportPopupMenuTool.Key]).Tools[_listTool.Key]).ListToolItems.Add(_buttonTool2.Key, _buttonTool2.Key);
            ((ListTool)((PopupMenuTool)this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups[0].Tools[_reportPopupMenuTool.Key]).Tools[_listTool.Key]).ListToolItems.Add(_buttonTool3.Key, _buttonTool3.Key);
        }
    }
}
